Download it now!
Bug 61820 - LibreOffice crash when opening a non-ascii named file in XML Source
Summary: LibreOffice crash when opening a non-ascii named file in XML Source
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.0.4
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2013-03-04 23:43 UTC by baffclan
Modified: 2013-06-07 13:01 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
error dialog screenshot (51.26 KB, image/jpeg)
2013-03-08 14:02 UTC, baffclan
Details
Bug 61820 - WinDbg session with FAILED_SOURCE_CODE (8.61 KB, text/plain)
2013-03-11 13:08 UTC, bfoman (inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description baffclan 2013-03-04 23:43:41 UTC
LibreOffice 4.0.1 RC2 / WinXP-JA, WinVista-JA
Version 4.0.1.2 (Build ID: 84102822e3d61eb989ddd325abf1ac077904985)

Steps to Reproduce:
1. Open new Spreadsheet
2. Data -> XML Source...
3. appear XML Source dialog
4. click a icon in Source file
5. appear OpenFile Dialog
6. Chose a Non-XML file(Text, bmp etc...) and open


Actual Results:
Crash a LibreOffice(soffice.bin)

Microsoft Visual C++ Runtime Library was Runtime error.
abnormal program termination


Expected Results:
No Crash.
Comment 1 Thomas van der Meulen 2013-03-05 11:17:50 UTC
Thank you for repothing this bug,
I can't reproduce this bug running LibreOffice 4.0.1.1 and 4.0.1.2 on Windows 7.
Comment 2 bfoman (inactive) 2013-03-05 12:58:51 UTC
Revised Summary according to comment 0 pt. 6.
Comment 3 Jorendc 2013-03-05 18:38:51 UTC
Can't reproduce this behavior using Linux Mint 14 x64 with LibreOffice 4.0.1.2 rc.

Kind regards,
Joren
Comment 4 baffclan 2013-03-06 10:43:34 UTC
Thanks for comments...

I narrowed down a reproduce condition.

No Reproduce:
C:\NewTxetFile.txt
C:\Japanese\NewTxetFile.txt
C:\test.xml

Reproduce:
C:\新規テキスト文書.txt
C:\日本語\test.xml
C:\日本語\NewTxetFile.txt
C:\日本語\新規テキスト文書.txt
C:\ö\NewTxetFile.txt


crash in non-ascii Folder(Path) and/or non-ascii filename.
I think, It is i18n problem.
Comment 5 Julien Nabet 2013-03-06 21:10:17 UTC
On pc Debian x86-64 with master sources updated today, I tried this:
- created a directory called "日本語"
- created a simple xml file
- followed your steps
I didn't reproduce a crash.

Could you give a try to 4.0.1?
If you still reproduce this, could you rename your LO directory profile and try again? (see https://wiki.documentfoundation.org/UserProfile)
Finally, did you install any specific fonts?
What's your Java version?
Comment 6 baffclan 2013-03-08 14:02:20 UTC
Created attachment 76165 [details]
error dialog screenshot

(In reply to comment #5)
> Could you give a try to 4.0.1?
Yes, reproduce it.

> If you still reproduce this, could you rename your LO directory profile 
> and try again? (see https://wiki.documentfoundation.org/UserProfile)
I tried NEW profile, reproduce it.

> Finally, did you install any specific fonts?
No, I do not install a specific fonts.

> What's your Java version?
Java 7 Update 15

It is Windows only?
See attachment.

Microsoft Visual C++ Runtime Library was Runtime error.
Comment 7 Julien Nabet 2013-03-08 23:18:50 UTC
Kohei: I'm a bit stuck with an unconfirmed bug which concerns Calc on WinXP-Ja, any idea?
Comment 8 Kohei Yoshida 2013-03-09 05:34:52 UTC
Julien, try opening a file that's *not* an XML file (such as a plain text file, or an image file), and try it on Windows, and see if it crashes there.
Comment 9 Julien Nabet 2013-03-09 13:30:28 UTC
Kohei: (In reply to comment #8)
> Julien, try opening a file that's *not* an XML file (such as a plain text
> file, or an image file), and try it on Windows, and see if it crashes there.

Ok I reproduced this on Win7 with LO 4.0.1.2 and when I create non-ascii Folder (I didn't test with a non-ascii filename).

bfoman: would you have some time to retrieve a bt?
Comment 10 bfoman (inactive) 2013-03-11 13:08:41 UTC
Created attachment 76337 [details]
Bug 61820 - WinDbg session with FAILED_SOURCE_CODE

Confirmed with:
LO 4.0.1.2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Attached full WinDbg session with FAILED_SOURCE_CODE.

I can reproduce with non-ascii character in the filename (crash after selecting the file). While attached to the debugger, LO is crashing while clicking browse source file button. So I hope it will help anyway.
Comment 11 Kohei Yoshida 2013-03-11 14:24:45 UTC
Thanks.  I'll keep this for now.
Comment 12 Kohei Yoshida 2013-03-20 22:23:50 UTC
As discussed on IRC, only the assignee can change the status to ASSIGNED. Changing it back to NEW.
Comment 13 Kohei Yoshida 2013-04-17 13:08:55 UTC
I tried this just now, using the master build, and I can't reproduce it anymore.  Can anyone try the master build to see if it still crashes there?
Comment 14 Julien Nabet 2013-04-17 13:30:06 UTC
On pc Debian x86-64 with master sources updated today, if I try to open a png, Import button stays disabled (grey) so I can't reproduce the problem. I suppose the disabled part is expected so it should be ok, shouldn't it?
Comment 15 Kohei Yoshida 2013-04-17 13:40:58 UTC
You need to test this on Windows.  The crash was never reproducible on Linux.
Comment 16 Julien Nabet 2013-04-17 13:46:10 UTC
Oups, sorry Kohei. On Win7, I got only LO 4.0.2, so I'll let someone else to try.
Comment 17 baffclan 2013-04-17 14:23:30 UTC
(In reply to comment #13)
reproduce on master/Win-x86@6 / WinVista(x86)-JA
Version: 4.1.0.0.alpha0+
Build ID: 73cc9fc42cfa524a9965f58092f3a004de3a6b8
TinderBox: Win-x86@6, Branch:master, Time: 2013-04-08_05:35:47

Sorry in Japanese
Comment 4 に書いたように日本語を含むPath/Filenameではクラッシュするようです。
Comment 18 baffclan 2013-04-18 18:09:03 UTC
Can not reproduce on newest master.

/master/Win-x86@6/2013-04-17_17.14.03
master~2013-04-17_17.14.03_LibreOfficeDev_4.1.0.0.alpha0_Win_x86.msi
  Version: 4.1.0.0.alpha0+
  Build ID: f22006dc6ac34a35a060e15466cf6b2d2058617

/master/Win-x86@6/2013-04-18_04.00.51
master~2013-04-18_04.00.51_LibreOfficeDev_4.1.0.0.alpha0_Win_x86.msi
  Version: 4.1.0.0.alpha0+
  Build ID: 0b4315077a6827798e1d2bdae73298365ba9a01
  TinderBox: Win-x86@6, Branch:master, Time: 2013-04-18_04:00:51
Comment 19 Kohei Yoshida 2013-04-23 15:51:51 UTC
No longer in NEEDINFO state. The latest master doesn't have this crash.

Since then, we've done some follow-up investigation on the Japanese discuss list, have identified the commit that fixed it.  A backport to 4.0 has been posted to gerrit 

https://gerrit.libreoffice.org/#/c/3581/
Comment 20 Jorendc 2013-04-23 20:41:14 UTC
*** Bug 63844 has been marked as a duplicate of this bug. ***
Comment 21 Commit Notification 2013-04-24 08:34:36 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30d6b1d13da9808eb4544d4bffb0acc49c0e6c5c&h=libreoffice-4-0

fdo#61820: Avoid crasher when file URL contains unicode bytes.


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Kohei Yoshida 2013-05-02 18:45:35 UTC
Marking this fixed.
Comment 23 baffclan 2013-06-07 13:01:53 UTC
(In reply to comment #22)
> Marking this fixed.

Cannot reproduce with LibO 4.0.4 RC1 .
Thanks for fixing this.
ありがとうございました。